com.hazelcast.core

## Class MapEvent

- java.lang.Object
- - java.util.EventObject
  - - com.hazelcast.core.AbstractIMapEvent
    - - com.hazelcast.core.MapEvent

- All Implemented Interfaces:
    IMapEvent, Serializable

      public class MapEvent
      extends AbstractIMapEvent

  Used for map-wide events like `EntryEventType.EVICT_ALL` and `EntryEventType.CLEAR_ALL`.
  See Also:
    `MapListener`, `EntryListener`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.core.AbstractIMapEvent

      `name`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapEvent(Object source, Member member, int eventType, int numberOfEntriesAffected)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfEntriesAffected()` Returns the number of entries affected by this event.
    `String` | `toString()` Returns a String representation of this event.

    - ### Methods inherited from class com.hazelcast.core.AbstractIMapEvent

      `getEventType, getMember, getName, getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapEvent

          public MapEvent(Object source,
                          Member member,
                          int eventType,
                          int numberOfEntriesAffected)

  - ### Method Detail

    - #### getNumberOfEntriesAffected

          public int getNumberOfEntriesAffected()

      Returns the number of entries affected by this event.
      Returns:
        number of entries affected by this event

    - #### toString

          public String toString()

      Description copied from class: `AbstractIMapEvent`
      Returns a String representation of this event.
      Overrides:
        `toString` in class `AbstractIMapEvent`
      Returns:
        A String representation of this event.

Copyright © 2018. All rights reserved.